小百科,大世界
首页 / 计算机 / 最新漏洞

Apache Kafka UI代码执行漏洞CVE2 繁體

一、漏洞概述

漏洞名称

Apache Kafka UI代码执行漏洞

CVE ID

CVE-2024-32030

漏洞类型

代码注入、反序列化

发现时间

2024-06-24

漏洞评分

8.1

漏洞等级

高危

攻击向量

网络

所需权限

利用难度

用户交互

PoC/EXP

已公开

在野利用

未发现

Kafka UI 是 Apache Kafka Management 的开源 Web UI,旨在简化Apache Kafka集群的管理和监控。

6月24日,启明星辰集团VSRC监测到Kafka UI中存在一个代码执行漏洞(CVE-2024-32030),其CVSS评分为8.1,目前该漏洞的详情和利用细节已公开。

Kafka UI API允许用户通过指定网络地址和端口来连接到不同的Kafka brokers,并提供了通过连接到其JMX端口来监控Kafka brokers性能的功能,JMX基于RMI协议,因此可能容易受到反序列化攻击,且Kafka-UI 默认未启用身份验证,威胁者可创建一个恶意JMX侦听器为任何RMI调用返回恶意序列化对象,成功利用该漏洞可能导致远程代码执行。

二、影响范围

UI for Apache Kafka < 0.7.2

该漏洞会影响满足以下情况之一的部署:

1、设置中设置了 dynamic.config.enabled 属性。默认情况下未启用,但在许多 Kafka UI 教程中建议启用它,包括它自己的 README.md。

2、攻击者可以访问连接到 Kafka UI 的 Kafka 集群。在这种情况下,攻击者可以利用该漏洞扩展其访问权限并在 Kafka UI 上执行代码。

三、安全措施

3.1 升级版本

目前该漏洞已经修复,受影响用户可升级到Kafka UI 0.7.2或更高版本。

下载链接:

/provectus/kafka-ui/tags

3.2 临时措施

为Kafka-UI启用身份验证。如果为 Kafka UI 实例启用了身份验证,则威胁者需要拥有有效的帐户。

3.3 通用建议

l 定期更新系统补丁,减少系统漏洞,提升服务器的安全性。

l 加强系统和网络的访问控制,修改防火墙策略,关闭非必要的应用端口或服务,减少将危险服务(如SSH、RDP等)暴露到公网,减少攻击面。

l 使用企业级安全产品,提升企业的网络安全性能。

l 加强系统用户和权限管理,启用多因素认证机制和最小权限原则,用户和软件权限应保持在最低限度。

l 启用强密码策略并设置为定期修改。

3.4 参考链接

/advisories/GHSL-2023-229_GHSL-2023-230_kafka-ui/

https://nvd.nist.gov/vuln/detail/CVE-2024-32030

四、版本信息

版本

日期

备注

V1.0

2024-06-24

首次发布

五、附录

5.1 公司简介

启明星辰成立于1996年,是由留美博士严望佳女士创建的、拥有完全自主知识产权的信息安全高科技企业。是国内最具实力的信息安全产品、安全服务解决方案的领航企业之一。

公司总部位于北京市中关村软件园启明星辰大厦,公司员工6000余人,研发团队1200余人, 技术服务团队1300余人。在全国各省、市、自治区设立分支机构六十多个,拥有覆盖全国的销售体系、渠道体系和技术支持体系。公司于2010年6月23日在深圳中小板挂牌上市。(股票代码:002439)

多年来,启明星辰致力于提供具有国际竞争力的自主创新的安全产品和最佳实践服务,帮助客户全面提升其IT基础设施的安全性和生产效能,为打造和提升国际化的民族信息安全产业领军品牌而不懈努力。

5.2 关于我们

启明星辰安全应急响应中心已发布1000多个漏洞通告和风险预警,我们将持续跟踪全球最新的网络安全事件和漏洞,为企业的信息安全保驾护航。

关注我们:

[来源: 启明星辰]

首页 / 计算机 / 最新漏洞
相关连接:
Prev:
Windows WiFi驱动程序远程代码执行漏洞
Ivanti EPM EventHandler S
Broadcom建议针对严重的VMware vCe
Next:
Triton Inference Server 远
Ollama 目录遍历致代码执行漏洞CVE-202
OpenSSH Server 远程代码执行漏洞CV
GeoServer property 表达式注入代
OpenSSH中的严重漏洞导致数百万台服务器受到影
资源来自网络,仅供参考